Package ghidra.app.plugin.languages.sleigh

# Class SleighConstructorTraversal.SubVisitor

java.lang.Object
ghidra.app.plugin.languages.sleigh.SleighConstructorTraversal.SubVisitor

All Implemented Interfaces:
  `SubtableEntryVisitor`, `VisitorResults`

Enclosing class:
  `SleighConstructorTraversal`

protected static class SleighConstructorTraversal.SubVisitor extends Object implements SubtableEntryVisitor
An internal visitor The `SleighConstructorTraversal.traverse(ConstructorEntryVisitor)` method iterates over each subtable, traversing each with this visitor. This visitor wraps the visitor given by the caller.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ConstructorEntryVisitor`
  `cev`
  `protected final SubtableSymbol`
  `subtable`

  ### Fields inherited from interface ghidra.app.plugin.languages.sleigh.VisitorResults

  `CONTINUE, FINISHED, TERMINATE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SubVisitor(SubtableSymbol subtable, ConstructorEntryVisitor cev)`
  Prepare to traverse a subtable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `visit(DisjointPattern pattern, Constructor cons)`
  Callback to visit a constructor

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### subtable

    protected final SubtableSymbol subtable

  - ### cev

    protected final ConstructorEntryVisitor cev

- ## Constructor Details

  - ### SubVisitor

    protected SubVisitor(SubtableSymbol subtable, ConstructorEntryVisitor cev)
    Prepare to traverse a subtable
    Parameters:
      `subtable` - the subtable
      `cev` - the wrapped constructor visitor to invoke

- ## Method Details

  - ### visit

    public int visit(DisjointPattern pattern, Constructor cons)
    Description copied from interface: `SubtableEntryVisitor`
    Callback to visit a constructor
    Specified by:
      `visit` in interface `SubtableEntryVisitor`
    Parameters:
      `pattern` - the pattern corresponding to the constructor
      `cons` - the constructor
    Returns:
      a value from `VisitorResults`